org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure

## Class Revisions<T>

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.Revisions<T>

Type Parameters:
  `T` - the type of object to store the revision numbers with

    public class Revisions<T>
    extends Object

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`Revisions()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addObject(T object, int revisionNumber)` Adds an object with a specified revision number.
`T` `getObject(int index)` Returns the object at the specified position.
`int` `getRevisionNumber(int index)` Returns the revision number at the specified position.
`protected void` `setRevisionNumber(T object, int revisionNumber)` Sets the revision number of a specified object.
`int` `size()` Returns the size.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Revisions

    public Revisions()

Constructor.

### Method Detail

#### getObject

    public T getObject(int index)

Returns the object at the specified position.

Parameters:
  `index` - the position
Returns:
  the object
Throws:
  `IndexOutOfBoundsException` - if the index is out of range

#### getRevisionNumber

    public int getRevisionNumber(int index)

Returns the revision number at the specified position.

Parameters:
  `index` - the position
Returns:
  the revision number
Throws:
  `IndexOutOfBoundsException` - if the index is out of range

#### addObject

    public void addObject(T object,
                          int revisionNumber)

Adds an object with a specified revision number.

Parameters:
  `object` - the object
  `revisionNumber` - the revision number

#### setRevisionNumber

    protected void setRevisionNumber(T object,
                                     int revisionNumber)

Sets the revision number of a specified object.

Parameters:
  `object` - the object
  `revisionNumber` - the revision number

#### size

    public int size()

Returns the size.

Returns:
  the size

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`